Deploy related pages to mobile web stable for 90% English
Closed, ResolvedPublic1 Story Points

Description

Deploy the related pages feature to mobile web stable for English language to 90% of users

NOTE: ensure sampling rate of schema:relatedarticles is within acceptable bounds for eventlogging
NOTE: schema should run for both control and on group
ovasileva created this task.Jan 5 2017, 5:48 PM
Restricted Application added a subscriber: Aklapper. ยท View Herald TranscriptJan 5 2017, 5:48 PM
ovasileva triaged this task as "High" priority.Jan 5 2017, 5:49 PM
ovasileva moved this task from To Triage to Sprint +1 on the Reading-Web-Backlog board.
ovasileva set the point value for this task to 1.Jan 5 2017, 5:51 PM
Restricted Application added a subscriber: Dereckson. ยท View Herald TranscriptJan 9 2017, 8:11 PM
ovasileva edited the task description. (Show Details)Jan 11 2017, 1:45 AM
ovasileva edited the task description. (Show Details)Jan 11 2017, 2:34 AM

We cannot do 90% rollouts on related articles. We'd need to add some scaffolding to support this...

Jdlrobson changed the title from "Deploy related pages to mobile web stable for English" to "Deploy related pages to mobile web stable for 90% English".Jan 23 2017, 6:08 PM
Jdlrobson changed the task status from "Open" to "Stalled".Jan 24 2017, 7:42 PM
Jdlrobson changed the task status from "Stalled" to "Open".EditedFeb 2 2017, 6:55 PM

wmf10 will go out to English Wikipedia today meaning we can make use of T156039: Allow RelatedPages to be enabled for subset of users.

Change 335686 had a related patch set uploaded (by Jdlrobson):
Related pages is shown to 90% of mobile users

https://gerrit.wikimedia.org/r/335686

Change 335686 merged by jenkins-bot:
Related pages is shown to 90% of mobile users

https://gerrit.wikimedia.org/r/335686

Mentioned in SAL (#wikimedia-operations) [2017-02-03T00:45:07Z] <dereckson@tin> Synchronized wmf-config/: Adjust RelatedArticles deployment scale for Mobile English Wikipedia (T154681) (duration: 00m 42s)

Mentioned in SAL (#wikimedia-operations) [2017-02-03T00:51:17Z] <dereckson@tin> Synchronized dblists/related-articles-footer-blacklisted-skins.dblist: Adjust RelatedArticles deployment scale for Mobile English Wikipedia (T154681) (duration: 00m 39s)

Related pages will show to 90% of English Wikipedia users.
Bucket yourself $.cookie('enwikimwuser-sessionId', 'a1') to not see it.
I haven't been able to verify the EventLogging is working correctly or whether we can test the data we collect. Looking at https://meta.wikimedia.org/wiki/Schema:RelatedArticles we only log the session id.. was that an oversight?

Note we can work out the bucket via a script that converts session id to bucket if necessary. Just open a new task for that analysis and give one of the developers a dump of the data you want to convert in csv format.

( we can run mw.experiments.getBucket( x, sessionId ); on each result )

@Jdlrobson - ok, now onto eventlogging - we're only logging the session id, meaning we're not logging the bucket?

This comment was removed by ovasileva.
This comment was removed by ovasileva.
phuedx assigned this task to ovasileva.Feb 6 2017, 12:02 PM

@Jdlrobson - almost done! I wanted to double-check if we are currently running the schema on all users

We talked about this in standup today. We should be running the schema on all users but someone will need to check the database to see if this is actually working. That said, we should be clear what the hypothesis is that we are trying to measure and check that we can actually measure this with the limited schema we have.

ovasileva closed this task as "Resolved".Feb 8 2017, 12:13 PM

Will track instrumentation in T157375: Update related pages schema to allow for current A/B test. That said, closing this!